Package org.apache.struts2.validator.validators

# Class RequiredStringValidator

java.lang.Object
org.apache.struts2.validator.validators.ValidatorSupport
org.apache.struts2.validator.validators.FieldValidatorSupport
org.apache.struts2.validator.validators.RequiredStringValidator

All Implemented Interfaces:
  `FieldValidator`, `ShortCircuitableValidator`, `Validator`

public class RequiredStringValidator extends FieldValidatorSupport
RequiredStringValidator checks that a String field is non-null and has a length > 0. (i.e. it isn't ""). The "trim" parameter determines whether it will `trim` the String before performing the length check. If unspecified, the String will be trimmed.

- fieldName - The field name this validator is validating. Required if using Plain-Validator Syntax otherwise not required
- trim - (Optional) Boolean, default true. Trims the field name value before validating.
- trimExpression - (Optional) String. Specifies the trim param as an OGNL expression.

Do not use ${trimExpression} as an expression as this will turn into infinitive loop!

         <validators>
             <!-- Plain-Validator Syntax -->
             <validator type="requiredstring">
                 <param name="fieldName">username</param>
                 <param name="trim">true</param>
                 <message>username is required</message>
             </validator>

             <!-- Field-Validator Syntax -->
             <field name="username">
                      <field-validator type="requiredstring">
                     <param name="trim">true</param>
                     <message>username is required</message>
                </field-validator>
             </field>

             <!-- Field-Validator Syntax with expression -->
             <field name="username">
                      <field-validator type="requiredstring">
                     <param name="trimExpression">${trimValue}</param> <!-- will be evaluated as: boolean getTrimValue() -->
                     <message>username is required</message>
                </field-validator>
             </field>
         </validators>

Author:
  rainerh

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.validator.validators.FieldValidatorSupport

  `currentValue, fieldName, type`

  ### Fields inherited from class org.apache.struts2.validator.validators.ValidatorSupport

  `defaultMessage, EMPTY_STRING, messageKey, stack, textProviderFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequiredStringValidator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isTrim()`
  `void`
  `setTrim(boolean trim)`
  `void`
  `setTrimExpression(String trimExpression)`
  `void`
  `validate(Object object)`
  The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.
  `protected void`
  `validateValue(Object object, Object fieldValue)`

  ### Methods inherited from class org.apache.struts2.validator.validators.FieldValidatorSupport

  `getCurrentValue, getFieldName, getValidatorType, setFieldName, setValidatorType`

  ### Methods inherited from class org.apache.struts2.validator.validators.ValidatorSupport

  `addActionError, addFieldError, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getMessageParameters, getValidatorContext, isShortCircuit, parse, setDefaultMessage, setMessageKey, setMessageParameters, setShortCircuit, setTextProviderFactory, setValidatorContext, setValueStack`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.struts2.validator.Validator

  `getDefaultMessage, getMessage, getMessageKey, getMessageParameters, getValidatorContext, setDefaultMessage, setMessageKey, setMessageParameters, setValidatorContext, setValueStack`

- ## Constructor Details

  - ### RequiredStringValidator

    public RequiredStringValidator()

- ## Method Details

  - ### setTrim

    public void setTrim(boolean trim)

  - ### setTrimExpression

    public void setTrimExpression(String trimExpression)

  - ### isTrim

    public boolean isTrim()

  - ### validate

    public void validate(Object object) throws ValidationException
    Description copied from interface: `Validator`
    The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.
    Parameters:
      `object` - the object to be validated.
    Throws:
      `ValidationException` - is thrown if there is validation error(s).

  - ### validateValue

    protected void validateValue(Object object, Object fieldValue)